package vishnu.testvis.dendro;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import vishnu.testvis.visual.*;
import vishnu.testvis.object.*;
import vishnu.testvis.sammon.*;
import java.util.*;

/** Panel containing the dendro map interface */
public class DendroPanel extends JPanel
{

  public final static int LIST_ON_LEFT = 0;
  public final static int LIST_ON_RIGHT = 1;
  
  public JPanel picturePanel;
  public TreePanel treePanel;
  public DendroKeywordPanel keywordPanel;
  public HLinkPanel hLinkPanel;
  public Stack dataStack;
  public DataManager dataMan=null;
  public Vishnu currentMain;
  public JPanel topPanel = new JPanel();

  public DendroPanel(Vishnu parent)
  {
    currentMain = parent;
    setUpGui();
  }
  
  public void setUpGui()
  {
        setLayout(new BorderLayout(10,10));
        setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
        treePanel = new TreePanel(this,currentMain);
        keywordPanel = new DendroKeywordPanel(currentMain,this);	
	Dimension d = currentMain.getSize();
        hLinkPanel = new HLinkPanel((int)(d.width)/4,d.height,currentMain);
        picturePanel = new JPanel();
        picturePanel.setLayout(new BorderLayout(0,3));
              
        picturePanel.add(treePanel,"Center");
        add("East",  hLinkPanel.linkPane);
        add("Center",   picturePanel);
        add("West",   keywordPanel);
        setVisible(true);
  }
  
  public void update()
  {
    dataMan = currentMain.dataManager;
    dataStack = new Stack(); 
    treePanel.clear();
    treePanel.update();
    keywordPanel.clear();
    hLinkPanel.clear();
  }
}
  
